std::pmr::memory_resource::deallocate(3)

NAME
std::pmr::memory_resource::deallocate - std::pmr::memory_resource::deallocate

Synopsis
   void deallocate( void* p,
   std::size_t bytes, (since C++17)
   std::size_t alignment = alignof(std::max_align_t) );
   Deallocates the storage pointed to by p. p shall have been returned by a prior call
   to allocate(bytes, alignment) on a memory_resource that compares equal to *this, and
   the storage it points to shall not yet have been deallocated.
   Equivalent to do_deallocate(p, bytes, alignment);.

Exceptions
   Throws nothing.

See also
   do_deallocate deallocates memory
   [virtual] (virtual private member function)